Subject: Re: [PATCH 1/1] dt-bindings: net: dsa: nxp,sja1105: Add optional clock

From: Jakub Kicinski <[email-masked]>
Date: Wed, 15 Oct 2025 10:53:23 -0700

On Wed, 15 Oct 2025 12:32:14 -0500 Rob Herring wrote:
> On Wed, Oct 15, 2025 at 9:25 AM Jakub Kicinski <[email-masked]> wrote:
> > On Wed, 15 Oct 2025 06:53:01 -0500 Rob Herring wrote:  
> > > That's fine. Though it will be optional for you, but not us? We have
> > > to ignore tags without the project if tags intended for netdev are
> > > continued without the project. Or does no project mean I want to
> > > update every project?  
> >
> > Fair :( I imagine your workflow is that patches land in your pw, and
> > once a DT maintainer reviewed them you don't care about them any more?  
> 
> Not exactly. Often I don't, but for example sometimes I need to apply
> the patch (probably should setup a group tree, but it's enough of an
> exception I haven't.).
> 
> > So perhaps a better bot on your end would be a bot which listens to
> > Ack/Review tags from DT maintainers. When tag is received the patch
> > gets dropped from PW as "Handled Elsewhere", and patch id (or whatever
> > that patch hash thing is called) gets recorded to automatically discard
> > pure reposts.  
> 
> I already have that in place too. Well, kind of, it updates my
> review/ack automatically on subsequent versions, but I currently do a
> separate pass of what Conor and Krzysztof reviewed. Where the pw-bot
> tags are useful is when there are changes requested. I suppose I could
> look for replies from them without acks, but while that usually
> indicates changes are needed, not always. So the pw-bot tag is useful
> to say the other DT maintainers don't need to look at this patch at
> all.

I don't think we need to do anything, then. Changes-requested will 
apply across all the patchwork instances. Only not-applicable /
handled-elsewhere gets tricky with multiple instances.